package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;

import java.time.LocalDateTime;

/**
 * 调拨订单商品dto
 * @author gaozijie
 * @date 2023-11-20
 */
public class AllotOrderItemDTO {

    @Schema(description = "调拨订单商品id")
    private Long allotOrderItemId;

    @Schema(description = "调拨订单id")
    private Long allotOrderId;

    @Schema(description = "商品spuId")
    private Long spuId;

    @Schema(description = "spu名称")
    private String spuName;

    @Schema(description = "商品skuId")
    private Long skuId;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "调拨数量")
    private Integer allotCount;

    @Schema(description = "入库数量")
    private Integer inboundCount;

    @Hidden
    @Schema(description = "调拨入库数量")
    private Integer allotInCount;

    @Hidden
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    @Hidden
    @Schema(description = "店铺id")
    private Long shopId;

    public AllotOrderItemDTO() {
    }

    public Long getAllotOrderItemId() {
        return allotOrderItemId;
    }

    public void setAllotOrderItemId(Long allotOrderItemId) {
        this.allotOrderItemId = allotOrderItemId;
    }

    public Long getAllotOrderId() {
        return allotOrderId;
    }

    public void setAllotOrderId(Long allotOrderId) {
        this.allotOrderId = allotOrderId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Integer getAllotCount() {
        return allotCount;
    }

    public void setAllotCount(Integer allotCount) {
        this.allotCount = allotCount;
    }

    public Integer getInboundCount() {
        return inboundCount;
    }

    public void setInboundCount(Integer inboundCount) {
        this.inboundCount = inboundCount;
    }

    public Integer getAllotInCount() {
        return allotInCount;
    }

    public void setAllotInCount(Integer allotInCount) {
        this.allotInCount = allotInCount;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    @Override
    public String toString() {
        return "AllotOrderItemDTO{" +
                "allotOrderItemId=" + allotOrderItemId +
                ", allotOrderId=" + allotOrderId +
                ", spuId=" + spuId +
                ", spuName='" + spuName + '\'' +
                ", skuId=" + skuId +
                ", skuName='" + skuName + '\'' +
                ", allotCount=" + allotCount +
                ", inboundCount=" + inboundCount +
                ", allotInCount=" + allotInCount +
                ", updateTime=" + updateTime +
                ", shopId=" + shopId +
                '}';
    }
}
